# include "data.h"

int unsign (int argc, char **argv) {
  
  if (argc == 1) {
    if (FT_UNSIGN_MODE) 
      fprintf (stderr, "mode is now UNSIGNED int \n");
    else
      fprintf (stderr, "mode is now SIGNED int \n");
    return (TRUE);
  }

  if (argc == 2) {
    if (!strcmp (argv[1], "1")) {
      FT_UNSIGN_MODE = TRUE;
      set_int_variable ("UNSIGN", 1);
      return (TRUE);
    }
    if (!strcmp (argv[1], "0")) {
      FT_UNSIGN_MODE = FALSE;
      set_int_variable ("UNSIGN", 0);
      return (TRUE);
    }
  }

  fprintf (stderr, "USAGE: unsign [0/1]\n");
  return (FALSE);
}
